curl --request GET \
--url https://app.freyavoice.ai/api/v2/versions/{entityType}/{entityId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"message": "<string>",
"result": {
"versions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entityType": "<string>",
"entityId": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"parentVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPublished": true,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"configDiffSummary": [
{
"section": "<string>",
"count": 2
}
],
"publishedAt": "2023-11-07T05:31:56Z",
"publishedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"total": 1,
"limit": 123,
"offset": 1
}
}
}Returns version history for an entity (agent or workflow) with pagination.
curl --request GET \
--url https://app.freyavoice.ai/api/v2/versions/{entityType}/{entityId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"message": "<string>",
"result": {
"versions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entityType": "<string>",
"entityId": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"parentVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPublished": true,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"configDiffSummary": [
{
"section": "<string>",
"count": 2
}
],
"publishedAt": "2023-11-07T05:31:56Z",
"publishedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"total": 1,
"limit": 123,
"offset": 1
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Entity type: 'agent' or 'workflow'
agent, workflow 1x <= 100x >= 0